#Module-Specific definitions
%define mod_name mod_auth_pam
%define mod_conf A48_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary: 	Pam authorisation for Apache
Name: 		apache-%{mod_name}
Version: 	1.1.1
Release: 	%mkrel 1
License: 	LGPL
Group: 		System/Servers
URL: 		http://pam.sourceforge.net/mod_auth_pam/
Source0:	http://pam.sourceforge.net/mod_auth_pam/dist/%{mod_name}-2.0-%{version}.tar.bz2
Source1:	%{mod_conf}.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf
Requires(pre):	apache
Requires:	apache-conf
Requires:	apache
BuildRequires:	apache-devel >= 2.0.0
BuildRequires:	file
BuildRequires:  pam-devel
BuildRoot: 	%{_tmppath}/%{name}-root

%description
The PAM authentication module implements Basic authentication on 
top of the Pluggable Authentication Module library. Thereby it 
supports standard unix passwd, shadow, NIS, SMB auth and radius 
authentication transparently and easily interchangeable, wherever 
the HTTP protocol allows it.

%prep

%setup -q -n %{mod_name}

chmod 644 INSTALL README doc/configure.html doc/faq.html doc/install.html

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%{_sbindir}/apxs -c %{mod_name}.c -o %{mod_name}.la -lpam
%{_sbindir}/apxs -c mod_auth_sys_group.c -o mod_auth_sys_group.la -lpam

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d %{buildroot}%{_sysconfdir}/pam.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

cat > %{buildroot}%{_sysconfdir}/pam.d/httpd << EOF
#%PAM-1.0
auth       required     pam_stack.so service=system-auth
account    required     pam_stack.so service=system-auth
EOF

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README doc/configure.html doc/faq.html doc/install.html
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/httpd
%attr(0755,root,root) %{_libdir}/apache-extramodules/mod_*.so
%{_var}/www/html/addon-modules/*

%changelog
* Mon Jan 30 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-1mdk
- built for apache-2.2.0

* Fri Jan 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1:1.1.1-2mdk
- Add BuildRequires

* Thu Jan 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.1-1mdk
- fix versioning and deps

* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33_1.1.1-1mdk
- renamed to apache1-mod_auth_pam and reworked it quite a bit

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-10mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-9mdk
- built for apache 1.3.33

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-8mdk
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.1-7mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-6mdk
- rebuild with apache 1.3.28

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-5mdk
- new macros from ADVX-build

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.1.1-4mdk
- rebuild

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-3mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1.1-2mdk
- Rebuild with new apache

* Tue Aug 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- from Franck Martin <franck@sopac.org> :
	- Packaged for mdk8.2

